Global Village 2.6.2 Update: a clarification

Global Village 2.6.2 Update: a clarification

Mea culpa. Many many readers wrote me to say that they downloaded the GlobalFax 2.6.2 Update (mentioned here last time) only to find that they could not use it because they needed to have 2.6.0 in order to get the Installer to work. This was an unsolvable problem for 2.5 users since version 2.6 is not posted anywhere online. Global Village's response to one reader was that it still wants its basic Platinum users to stick with 2.5.x. They offer no official word as to why this is so or when these users will have an upgrade available. Sorry about the confusion!

Tags:
Computers
 

Discuss Global Village 2.6.2 Update: a clarification

Conversation powered by Livefyre

Show Comments Hide Comments